#include <fstream>
#include <math.h>
using namespace std;
int main()
{
    ifstream x("CP.inp");
    ofstream y("CP.out");
    double a;
    x >> a;
    int b;
    b = sqrt(a);
    if (b*b==a) y << "YES";
    else y << "NO";
    return 0;
}
